using Lada.Framework.Data.Domains.AI;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace Lada.Framework.Data.Mappings.EntityMappings.AI
{
    public class PromptTemplateMap : IEntityMappingConfiguration<PromptTemplate>
    {
        public void Map(EntityTypeBuilder<PromptTemplate> builder)
        {
            builder.HasKey(a => a.Id);
            builder.ToTable("PromptTemplate");
        }
    }
}
